declare class Bitecache {
    private constructor();
    private static _instance;
    static get Instance(): Bitecache;
    private store;
    get totalSize(): number;
    get totalMemSize(): number;
    get totalMisses(): number;
    setup: (collection: string, expiresIn: number) => void;
    set: (collection: string, key: string | number | Date, value: any, expiresIn?: number) => void;
    get: (collection: string, key: string | number | Date) => any;
    del: (collection: string, key: string | number | Date) => boolean;
    merge: (collection: string, key: string | number | Date, dataToMerge: any) => void;
    expire: (collection: string) => void;
    clear: (collection?: string) => void;
    stats: (collection?: string) => {
        size: number;
        memSize: number;
        misses: number;
        expiresIn: number;
    };
    memSizeOf: (collection: string) => number;
}
declare const _default: Bitecache;
export = _default;
